Bug 4506 - Add support of record linking by record control number in $w
Summary: Add support of record linking by record control number in $w
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-14 03:58 UTC by Katrin Fischer
Modified: 2012-10-25 23:03 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Add 8xx $w subfields to MARC-Framework pl-PL (34.85 KB, patch)
2010-06-02 15:49 UTC, Katrin Fischer
Details | Diff | Splinter Review
Add $w to en and fr-FR frameworks (134.43 KB, patch)
2010-06-02 15:50 UTC, Katrin Fischer
Details | Diff | Splinter Review
Add index Recordcontrol number = rcn (3.79 KB, patch)
2010-06-02 15:58 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:27:59 UTC


---- Reported by katrin.fischer@bsz-bw.de 2010-05-14 15:58:11 ----

- add $w subfields to MARC21 frameworks
- add index 'record control number' for indexing of $w subfields
- add links or change links in XSLT files to use $w if available

----
Proposal No. 2007-06/2: Bibliographic record control number subfield in series entry fields in the MARC 21 Bibliographic format - Approved. 
http://www.loc.gov/marc/marbi/2007/2007-06.html#p2 

Proposal No. 2007-06/5: Codes for multivolume monograph record levels in the MARC 21 Bibliographic format - Approved.
http://www.loc.gov/marc/marbi/2007/2007-06.html#p5



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:27 UTC  ---

This bug was previously known as _bug_ 4506 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=4506

Actual time not defined. Setting to 0.0
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.

Comment 1 Katrin Fischer 2010-06-02 15:49:44 UTC
Created attachment 2195 [details] [review]
Add 8xx $w subfields to MARC-Framework pl-PL
Comment 2 Katrin Fischer 2010-06-02 15:50:56 UTC
Created attachment 2196 [details] [review]
Add $w to en and fr-FR frameworks
Comment 3 Katrin Fischer 2010-06-02 15:58:12 UTC
Created attachment 2197 [details] [review]
Add index Recordcontrol number = rcn

The attached 3 patches complete the first 2 steps:

- add $w subfields to MARC21 frameworks
- add index 'record control number' for indexing of $w subfields

I also send a patch which included the translation of MARC21 framworks into German (de-DE) (http://lists.koha-community.org/pipermail/koha-patches/2010-May/011998.html) 

I will send a patch to add the subfields to de-DE after the patch was accepted.
Comment 4 Chris Cormack 2010-12-03 00:04:54 UTC
Pushed to new/awaiting_qa/bug_4506

Please test and signoff
Comment 5 Colin Campbell 2010-12-08 13:03:57 UTC
Please pull signed off patches from branch QA/bug_4506 at
git://github.com/colinsc/koha.git branch is rebased on HEAD and includes a patch trimming some whitespace from earlier patches
Comment 6 MJ Ray (software.coop) 2010-12-09 15:11:03 UTC
This bug is mentioned in:
Pull request, bug 4506 linking between records,	analytics http://lists.koha-community.org/pipermail/koha-patches/2010-November/012892.html
Pull request, bug 4506 linking between records,	analytics http://lists.koha-community.org/pipermail/koha-patches/2010-November/012896.html
Comment 7 Chris Cormack 2010-12-14 08:11:58 UTC
Pushed to master, please test and close
Comment 8 Katrin Fischer 2011-01-10 07:33:16 UTC
I tested in HEAD with my test data and all links worked correctly.
I have some ideas for improvement of the functionality, but will file separate bugs for those.